Bug 103380 - New default cell styles shouldnt be deletable but should be hideable
Summary: New default cell styles shouldnt be deletable but should be hideable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4
Keywords: notBibisectable, regression
Depends on:
Blocks: 90937
  Show dependency treegraph
 
Reported: 2016-10-21 09:56 UTC by Yousuf Philips (jay)
Modified: 2017-04-27 15:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2016-10-21 09:56:33 UTC
Steps:
1) Open Calc with a git build
2) Open the sidebar's styles and formatting
3) Right-click on any of the new styles
4) Context menu shouldnt allow the removal of these default styles, but they should be hideable

Version: 5.3.0.0.alpha0+
Build ID: 55d028488580c5835682188cb8d23e5fe4dcb424
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Aron Budea 2016-10-21 10:10:51 UTC
Sounds reasonable. How can they be unhidden once they're hidden?
Comment 2 Commit Notification 2017-04-22 20:46:30 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e55f7df9ae8e0948b456cb02f6c841b353acd23

mark all new styles as default styles, tdf#103380, tdf#103330

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-04-27 15:27:04 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4df765766892a9148b7be1b8d5f174ee37cf73e0&h=libreoffice-5-3

mark all new styles as default styles, tdf#103380, tdf#103330

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.